package cn.fastfun.controller.api;

import cn.fastfun.service.entity.AppHandleForm;
import com.bridge.dto.ApiDTO;
import com.bridge.dto.ApiPageDTO;
import com.bridge.dto.IdParam;
import com.bridge.dto.QueryParam;
import com.bridge.service.JpaService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Arrays;

/**
* @author Bridge AutoGen
*
*/
@Api(tags = { "设备处置单" })
@RestController
@RequestMapping("/api/v1/apphandleform")
public class ApiAppHandleFormController {
    //业务类
	@Resource(name = "appHandleFormService")
	JpaService<AppHandleForm, String> appHandleFormService;

    
	/**
	 * 数据保存
	 */
	@ApiOperation(value = "保存信息")
	@RequestMapping(value = "save", method = RequestMethod.POST)
	public ApiDTO save(@RequestBody @ApiParam(name = "设备处置单对象", value = "传入json格式", required = true) AppHandleForm entity) {
		return ApiDTO.ok("保存成功", appHandleFormService.save(entity));
	}

    @ApiOperation(value = "查询信息")
	@RequestMapping(value = "get", method = RequestMethod.POST)
	public ApiDTO get(@RequestBody @ApiParam(name = "设备处置单id", required = true) IdParam param) {
		return ApiDTO.ok("查询成功！", appHandleFormService.get(param.getId()));
	}

    @ApiOperation(value = "删除信息")
	@RequestMapping(value = "delete", method = RequestMethod.POST)
	public ApiDTO delete(@RequestBody @ApiParam(name = "设备处置单id", required = true) IdParam param) {
		appHandleFormService.delete(Arrays.asList(param.getId().split(",")));
		return ApiDTO.ok("删除成功！");
	}

	@ApiOperation(value = "分页搜索")
    @RequestMapping(value = "pageQuery", method = RequestMethod.POST)
    public ApiPageDTO pageQuery(@RequestBody QueryParam param) {
        
        return new ApiPageDTO(null, appHandleFormService.findByParam(param));
    }

}