package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "app_device")
@Setter
@Getter
public class AppDevice extends DateEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "SN号", name = "sn", required = true)
    @Column(name = "sn")
    private String sn;


    @ApiModelProperty(value = "IMEI", name = "imei", required = true)
    @Column(name = "imei")
    private String imei;


    @ApiModelProperty(value = "批次号", name = "batchNum", required = true)
    @Column(name = "batch_num")
    private String batchNum;


    @ApiModelProperty(value = "状态", name = "status", required = true)
    @Column(name = "status")
    private Integer status;


    @ApiModelProperty(value = "发货时间", name = "deliverTime", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Column(name = "deliver_time")
    private Date deliverTime;


}
