package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "app_handle_form")
@Setter
@Getter
public class AppHandleForm extends DateEntity{

	private static final long serialVersionUID = 1L;
	

	
	   
	   @ApiModelProperty(value="设备编号", name="sn", required=true)
	   @Column(name = "sn")
	   private String sn;

	
	   
	   @ApiModelProperty(value="处置类型", name="eventType", required=true)
	   @Column(name = "event_type")
	   private Integer eventType;

	
	   
	   @ApiModelProperty(value="处置时间", name="handleTime", required=true)
	   @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	   @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	   @Column(name = "handle_time")
	   private Date handleTime;

	

	

	
	   
	   @ApiModelProperty(value="处置说明", name="handleContent", required=true)
	   @Column(name = "handle_content")
	   private String handleContent;

	
}
