package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "app_library_log")
@Setter
@Getter
public class AppLibraryLog extends DateEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "城市", name = "city", required = true)
    @Column(name = "city")
    private String city;


    @ApiModelProperty(value = "地址", name = "address", required = true)
    @Column(name = "address")
    private String address;


    @ApiModelProperty(value = "批次编号", name = "pathNum", required = true)
    @Column(name = "path_num")
    private String pathNum;


    @ApiModelProperty(value = "设备编号", name = "sn", required = true)
    @Column(name = "sn")
    private String sn;


    @ApiModelProperty(value = "状态 ", name = "status", required = true)
    @Column(name = "status")
    private Integer status;


    @ApiModelProperty(value = "入库时间", name = "inStorageTime", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "in_storage_time")
    private Date inStorageTime;


    @ApiModelProperty(value = "出库类型", name = "outType", required = true)
    @Column(name = "out_type")
    private Integer outType;


    @ApiModelProperty(value = "客户ID", name = "outCustomId", required = true)
    @Column(name = "out_custom_id")
    private String outCustomId;


    @ApiModelProperty(value = "接收人姓名", name = "receiverName", required = true)
    @Column(name = "receiver_name")
    private String receiverName;


    @ApiModelProperty(value = "接收人电话", name = "receiverPhone", required = true)
    @Column(name = "receiver_phone")
    private String receiverPhone;


}
